Last-Update: 2023-03-21
Forwarded: not-needed
Author: Dmitry Smirnov <onlyjob@debian.org>
Description: disable failing test(s).
~~~~
=== RUN   TestCacheArchiverAddingUntrackedFiles
fatal: Not a git repository (or any of the parent directories): .git
WARNING: untracked: exit status 128
### FAIL: TestCacheArchiverAddingUntrackedFiles (0.00s)
        Error Trace:    file_archiver_test.go:27
        Error:          "[]" should have 1 item(s), but has 0

        Error Trace:    file_archiver_test.go:28
        Error:          "[]" does not contain "untracked_test_file.txt"
~~~~

--- a/commands/helpers/file_archiver_test.go
+++ b/commands/helpers/file_archiver_test.go
@@ -102,8 +102,9 @@
 	assert.Equal(t, int64(2), f.excluded["foo/**/*.md"])
 }
 
 func TestCacheArchiverAddingUntrackedFiles(t *testing.T) {
+t.Skip("DM-disabled");
 	writeTestFile(t, artifactsTestArchivedFile)
 	defer os.Remove(artifactsTestArchivedFile)
 
 	writeTestFile(t, artifactsTestArchivedFile2)
